Bug 3888 - firebird was fixed to require shadow-utils [UPDATE REQUEST]
: firebird was fixed to require shadow-utils [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 3886
  Show dependency treegraph
 
Reported: 2014-03-28 12:00 MSK by Alexander Burmashev
Modified: 2014-04-04 17:37 MSD (History)
1 user (show)

See Also:
RPM Package: firebird
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2014-03-28 12:00:52 MSK
firebird was fixed to require shadow-utils
Comment 2 Alexander Burmashev 2014-03-28 12:02:49 MSK
Advisory:
binary requires for firebird package were replaced with shadow-utils require to fix http://bugs.rosalinux.ru/show_bug.cgi?id=3886
buildlists:
https://abf.rosalinux.ru/build_lists/1725692
https://abf.rosalinux.ru/build_lists/1725691

Additional info:
Ignore the failed tests, test just try to install conficting packages at the same time.
Comment 3 Vladimir Potapov 2014-04-02 07:45:03 MSD
The packages installed normally. But service don't started

systemctl start firebird-superserver
Job for firebird-superserver.service failed. See 'systemctl status firebird-superserver.service' and 'journalctl -xn' for details.
[root@keleg-H61N-USB3 keleg]# systemctl status firebird-superserver
firebird-superserver.service - Firebird Database Server ( SuperServer )
   Loaded: loaded (/lib/systemd/system/firebird-superserver.service; enabled)
   Active: failed (Result: exit-code) since Ср. 2014-04-02 12:40:34 IRKT; 6s ago
  Process: 28301 ExecStart=/usr/sbin/fbguard -pidfile /run/firebird/default.pid -daemon -forever (code=exited, status=253)

апр. 02 12:40:34 keleg-H61N-USB3 fbguard[28301]: Could not open /run/firebird/fb_guard for write
апр. 02 12:40:34 keleg-H61N-USB3 systemd[1]: firebird-superserver.service: control process exited, code=exited status=253
апр. 02 12:40:34 keleg-H61N-USB3 systemd[1]: Failed to start Firebird Database Server ( SuperServer ).
апр. 02 12:40:34 keleg-H61N-USB3 systemd[1]: Unit firebird-superserver.service entered failed state.
Comment 4 Alexander Burmashev 2014-04-02 11:03:11 MSD
ls /usr/lib/tmpfiles.d
ls /run |grep firebird
Comment 5 Vladimir Potapov 2014-04-02 15:39:33 MSD
(In reply to comment #4)
> ls /usr/lib/tmpfiles.d
> ls /run |grep firebird

Hm. After restart service start correct. It's work!
Comment 6 Alexander Burmashev 2014-04-02 15:49:07 MSD
I can "fix" the package so it will ask for reboot.
Actually it is expected and normal that error is gone after reboot.
Comment 7 Vladimir Potapov 2014-04-02 15:57:32 MSD
Better add a request to restart.
Comment 8 Alexander Burmashev 2014-04-04 16:48:32 MSD
Fixed buildlists:
https://abf.rosalinux.ru/build_lists/1746778
https://abf.rosalinux.ru/build_lists/1746779
Comment 9 Vladimir Potapov 2014-04-04 17:35:26 MSD
firebird-2.5.2.26540-6
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1746778/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1746779/x86_64/main/release/
*************************** Advisory ***************************
binary requires for firebird package were replaced with shadow-utils require to fix bug #3886
****************************************************************
QA Verified